import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib       #  日本語表示用モジュール

data_frame = pd.read_excel('TokyoPopu.xlsx')
print(data_frame)

cities = data_frame['区']
popu = data_frame['人口']

plt.bar(cities, popu)
plt.title('人口（人）')
plt.xticks(rotation=90)
plt.tight_layout()
plt.savefig('Fig1.png')
plt.show()
"""
      人口順に並べ換え
"""
idx = np.argsort(popu)
print(idx)
s_cities = cities[idx]
s_popu = popu[idx]

plt.bar(s_cities, s_popu)
plt.title('人口（人）')
plt.xticks(rotation=90)
plt.tight_layout()
plt.savefig('Fig2.png')
plt.show()
"""
       降順で並べ換え
"""
idx_d = np.argsort(-popu)
sd_cities = cities[idx_d]
sd_popu = popu[idx_d]

plt.barh(sd_cities, sd_popu)
plt.title('人口（人）')
plt.xticks(rotation=45)
plt.tight_layout()
plt.savefig('Fig3.png')
plt.show()
